project "Runtime"
kind "ConsoleApp"

buildmessage "Building the runtime ..."

links{
  "BarinkEngine"
}

includedirs{
  "./../BarinkEngine/src",
  -- I'd prefer if didn't need these..
  -- We'll figure that out some time later
  "./../libs/lua/include",
  "./../libs/spdlog/include",
  "./../libs/glm",
  "./../libs/GorillaAudio/include",

  "./../libs/assimp/include",
  "./../libs/glad/include",
  "./../libs/glfw/include",
  "./../libs/tinygltf",
  "./../libs/glew/include",
  "./../libs/glm",
  "./../libs/ImGui",


  "./include"

}

libdirs {
  './../build/BarinkEngine/Debug'
}

files { 
  "./src/*.h",
  "./src/*.cpp"
}